import { world } from "@minecraft/server"
import { villagerNames } from "./VillagerNames"
import { golemNames } from "./GolemNames"

world.afterEvents.entitySpawn.subscribe((data) => {
    const entity = data.entity;
    if (entity.nameTag == "") {
        if (entity.typeId == "minecraft:villager_v2") {
            entity.nameTag = villagerNames[Math.floor(Math.random() * villagerNames.length)];
        } else if (entity.typeId == "minecraft:iron_golem") {
            entity.nameTag = golemNames[Math.floor(Math.random() * golemNames.length)];
        }
    }
})